summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-04-22 18:19:57 +0200
committerMichał Górny <mgorny@gentoo.org>2017-04-22 18:41:04 +0200
commitf5c045d7f3bde4769aedf0f1b97340c96d588966 (patch)
treee04d8276650abfa91d2fa0b4f18093d6a5268294 /dev-python/colout
parentdev-python/click-threading: Tested on py3.5 & py3.6 (diff)
downloadgentoo-f5c045d7f3bde4769aedf0f1b97340c96d588966.tar.gz
gentoo-f5c045d7f3bde4769aedf0f1b97340c96d588966.tar.bz2
gentoo-f5c045d7f3bde4769aedf0f1b97340c96d588966.zip
dev-python/colout: Babel now supports py3
Diffstat (limited to 'dev-python/colout')
-rw-r--r--dev-python/colout/colout-0.1.ebuild11
1 files changed, 2 insertions, 9 deletions
diff --git a/dev-python/colout/colout-0.1.ebuild b/dev-python/colout/colout-0.1.ebuild
index bea85ddb770..b88519a2366 100644
--- a/dev-python/colout/colout-0.1.ebuild
+++ b/dev-python/colout/colout-0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -17,7 +17,7 @@ IUSE=""
RDEPEND="
dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/Babel[$(python_gen_usedep 'python2*')]
+ dev-python/Babel[${PYTHON_USEDEP}]
"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
@@ -27,10 +27,3 @@ src_prepare() {
sed -e 's:BSD licensed:GPL-3 licensed:' -i README || die
distutils-r1_src_prepare
}
-
-pkg_postinst() {
- if [[ "${PYTHON_TARGETS}" == *python3* ]]; then
- ewarn "Though ${PN} supports Python 3, Babel does not, thus it's number parsing feature won't be used."
- ewarn "If you need it, use Python 2."
- fi
-}